Create multiple new person properties
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/properties/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "Company Size",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"name": "SMB (1 - 100 employees)",
"color": "GREEN"
},
{
"name": "Mid Market (101 - 2000 employees)",
"color": "YELLOW"
},
{
"name": "Enterprise (2000+ employees)",
"color": "BLUE"
}
],
"isUnique": false,
"isPHI": false,
"isPII": false,
"description": "A description of the property"
}
]
'import requests
url = "https://api.rallyuxr.com/api/public/v1/properties/import"
payload = [
{
"name": "Company Size",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"name": "SMB (1 - 100 employees)",
"color": "GREEN"
},
{
"name": "Mid Market (101 - 2000 employees)",
"color": "YELLOW"
},
{
"name": "Enterprise (2000+ employees)",
"color": "BLUE"
}
],
"isUnique": False,
"isPHI": False,
"isPII": False,
"description": "A description of the property"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: 'Company Size',
propertyType: 'SINGLE_SELECT',
propertyOptions: [
{name: 'SMB (1 - 100 employees)', color: 'GREEN'},
{name: 'Mid Market (101 - 2000 employees)', color: 'YELLOW'},
{name: 'Enterprise (2000+ employees)', color: 'BLUE'}
],
isUnique: false,
isPHI: false,
isPII: false,
description: 'A description of the property'
}
])
};
fetch('https://api.rallyuxr.com/api/public/v1/properties/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"personProperty": {
"propertyId": "<string>",
"name": "<string>",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"propertyOptionId": "<string>",
"name": "<string>",
"order": "1"
}
],
"isUnique": true,
"isPHI": true,
"isPII": true,
"description": "<string>",
"propertyGroupId": "<string>"
},
"isAsync": true,
"bulkActionUserRequestId": "<string>"
}
],
"errors": [
{
"message": "<string>",
"path": [
"<string>"
],
"name": "<string>"
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Person Properties
Create multiple new person properties
POST
/
properties
/
import
Create multiple new person properties
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum array length:
10The name of the property
Example:
"Company Size"
The type of the property
Available options:
STRING, NUMBER, DATETIME, BOOLEAN, SINGLE_SELECT, MULTI_SELECT, LOCATION Example:
"SINGLE_SELECT"
Options for a SINGLE_SELECT or MULTI_SELECT property. Errors if passed for other property types
Maximum array length:
100Show child attributes
Show child attributes
Example:
[
{
"name": "SMB (1 - 100 employees)",
"color": "GREEN"
},
{
"name": "Mid Market (101 - 2000 employees)",
"color": "YELLOW"
},
{
"name": "Enterprise (2000+ employees)",
"color": "BLUE"
}
]Whether the property is unique across all people. Maximum of 10 across a workspace
Example:
false
Whether the property is PHI (Protected health information)
Example:
false
Whether the property is PII (Personally Identifiable Information)
Example:
false
The description of the property
Example:
"A description of the property"
⌘I